Page 1 of 2 12 LastLast
Results 1 to 10 of 14
  1. #1
    Join Date
    Nov 2007
    Posts
    59
    Plugin Contributions
    0

    Default ALERT: PayPal Direct Payment Error ( _!-- --_)

    Hello,
    My customer received an error saying that her address does not match the billing address and her transactions never went through or so it seemed. She used a Visa and was charged twice through Paypal but these transactions did not go into Zen Cart. I checked my logs and I didn't see the error in any of the files. I checked my E-mail Archive Manager and found this error twice. ALERT: PayPal Direct Payment Error ( _!-- --_) There is no description for the error. What can I do to fix this immediately? I don't want my customers to be charged multiple times especially when I can't see why. I have the setting for "confirmed address" set to off. What else do I need to do? Thanks!

  2. #2
    Join Date
    Jan 2004
    Posts
    65,291
    Blog Entries
    7
    Plugin Contributions
    227

    Default Re: ALERT: PayPal Direct Payment Error ( _!-- --_)

    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  3. #3
    Join Date
    Nov 2007
    Posts
    59
    Plugin Contributions
    0

    Default Re: ALERT: PayPal Direct Payment Error ( _!-- --_)

    This will make sure that the transactions won't go through without letting my store know and it will stop the address error from happening? Thanks!

  4. #4
    Join Date
    Jun 2009
    Location
    Scottsdale. Arizona, USA
    Posts
    34
    Plugin Contributions
    0

    Default Re: ALERT: PayPal Direct Payment Error ( _!-- --_)

    Using 1.3.8a

    My store manager received the exact alert error today.
    PayPal did process their payment and shows detail of this item being ordered in our PayPal merchant account.
    This customer used Express Checkout Module by logging into their paypal account.

    There is no record of the order in our Zen Cart admin area.
    There is no such order in the database tables.

    I bet the item is still sitting in their shopping cart.
    We will process the customer's payment and order.
    We will inform them that the order was received and instruct them to remove it from their cart if still there on next login.

    Dr. Byte.
    You link to a code fix.
    I have the Curl logs and they show.
    SetExpressCheckout, Elapsed: 1485ms -- Success
    Do you think the code fix will correct this?
    If so, the order will be processed and put in database?
    Does the new version contain this fix?

  5. #5
    Join Date
    Jan 2004
    Posts
    65,291
    Blog Entries
    7
    Plugin Contributions
    227

    Default Re: ALERT: PayPal Direct Payment Error ( _!-- --_)

    Yes, the latest version contains that fix, and MANY more important fixes related to PayPal capability.

    But, you will have to contact your customer directly to sort out the specific order that didn't complete properly. The system will NOT automatically insert that failed order. It's gone.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  6. #6
    Join Date
    Jun 2009
    Location
    Scottsdale. Arizona, USA
    Posts
    34
    Plugin Contributions
    0

    Default Re: ALERT: PayPal Direct Payment Error ( _!-- --_)

    Dr Byte,
    We will work things out with our buyer.
    We have done so in the past.
    My question is not how we can recover the failed order, I know it's gone.

    My questions in the prior email are:
    1. Do you think the code fix will correct this?
    2. If so, the order will be processed and put in database?
    3. Does the new version contain this fix?

    I meant
    1. Do you think the code fix will correct future problems such as this?
    2. If so, after this fix is made, future orders will go in the database related to this fix?

    You answered #3.
    I need to download the update and compare to my current code base. I have modifications for the visually impaired. I desire more reliable PayPal functionality. I need to see how much differs.

  7. #7
    Join Date
    Jan 2004
    Posts
    65,291
    Blog Entries
    7
    Plugin Contributions
    227

    Default Re: ALERT: PayPal Direct Payment Error ( _!-- --_)

    As I don't know exactly what caused the problem for that order, I can't confirm anything about future orders.
    But what I *can* tell you is that hundreds of hours have been spent on improving PayPal functionality and transaction reliability in the newer versions, and I'm not aware of people reporting any symptoms as you just did, when using the newest version.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  8. #8
    Join Date
    Jun 2009
    Location
    Scottsdale. Arizona, USA
    Posts
    34
    Plugin Contributions
    0

    Default Re: ALERT: PayPal Direct Payment Error ( _!-- --_)

    Is the database structure in 1.3.9 the same as 1.3.8a?
    Is there documentation summarizing the changes?
    I am curious about the magnitude of changes since I made modifications to 1.3.8a to provide support for the visually impaired. I have made modifications mostly to my custom template directories to isolate them.
    I don't see any contributions that improve PayPal Express reliability for 1.3.8a so I am assuming that 1.3.9 is the only resource that contains such improvements. Is this true?

  9. #9
    Join Date
    Jan 2004
    Posts
    65,291
    Blog Entries
    7
    Plugin Contributions
    227

    Default Re: ALERT: PayPal Direct Payment Error ( _!-- --_)

    PayPal support is in the core, not in addons.

    As for upgrading, I suggest you read the upgrade instructions. One place to start on that is here: http://tutorials.zen-cart.com/index.php?article=98. You'll see that there's an automated tool to upgrade the database portion, so don't concern yourself with that side. What you need to do is upgrade your PHP files to include all the updates from the new version.

    And, since upgrading is an entirely different subject than this thread, your upgrade questions should be addressed in a thread appropriate to those topics.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  10. #10
    Join Date
    Jun 2009
    Location
    Scottsdale. Arizona, USA
    Posts
    34
    Plugin Contributions
    0

    Default Re: ALERT: PayPal Direct Payment Error ( _!-- --_)

    Sorry I got off subject.
    Although I believe my last question is appropriate here.

    I don't see any contributions that improve PayPal Express reliability for 1.3.8a so I am assuming that 1.3.9 is the only resource that contains such improvements. Is this true?

 

 
Page 1 of 2 12 LastLast

Similar Threads

  1. ALERT: PayPal Direct Payment Error (0 )
    By rubear in forum PayPal Website Payments Pro support
    Replies: 9
    Last Post: 16 Jan 2011, 11:50 AM
  2. ALERT: PayPal Direct Payment Error (10001 <!-- -->)
    By malice95 in forum PayPal Website Payments Pro support
    Replies: 13
    Last Post: 19 Aug 2010, 03:13 AM
  3. ALERT: PayPal Direct Payment Error (10413 <!-- -->)
    By terytubby in forum PayPal Website Payments Pro support
    Replies: 21
    Last Post: 2 Feb 2010, 03:48 PM
  4. ALERT: PayPal Direct Payment Error ( <!-- -->)
    By stagebrace in forum PayPal Website Payments Pro support
    Replies: 32
    Last Post: 9 Mar 2009, 04:03 AM
  5. ALERT: Paypal Direct Payment Error (103)
    By HeathenMagic in forum PayPal Website Payments Pro support
    Replies: 4
    Last Post: 5 Dec 2007, 09:57 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR